New to P3P

Joined
Dec 22, 2018
Messages
9
Reaction score
2
I bought a used p3p and today was to first time that I flew it. It said there were firm ware updates but I flew it with out doing any of them. It flew just fine but I had no camera image. I came home and updated the RC and as it was updating I saw that the camera was working. I was going to go out and fly it to see if it would work and i have a message that there are more firm ware up dates. Now I can't fly it at all, I tried to undo the update I did on the PC but can't figure out how to do it. From what I read here I don't think I should have done the update. Thanks
 

Oso

Joined
May 19, 2015
Messages
4,228
Reaction score
2,960
Location
Western US
I bought a used p3p and today was to first time that I flew it. It said there were firm ware updates but I flew it with out doing any of them. It flew just fine but I had no camera image. I came home and updated the RC and as it was updating I saw that the camera was working. I was going to go out and fly it to see if it would work and i have a message that there are more firm ware up dates. Now I can't fly it at all, I tried to undo the update I did on the PC but can't figure out how to do it. From what I read here I don't think I should have done the update. Thanks
Which FW versions did you have on your AC and your RC before you started to make changes? Which version is on the RC now that you've updated it?

Also, if you are interested click here for some tips that I often share with new P3A/P3P owners.

FYI that this method has been used often to downgrade the RC FW, but it depends on what you have installed now. [Check out the linked video which shows how to press the "graduation cap" icon down for about 5-10 secs to initiate]
 
Last edited:
  • Like
Reactions: JoBe
Joined
Dec 22, 2018
Messages
9
Reaction score
2
Which FW versions did you have on your AC and your RC before you started to make changes? Which version is on the RC now that you've updated it?

Also, if you are interested click here for some tips that I often share with new P3A/P3P owners.

FYI that this method has been used often to downgrade the RC FW, but it depends on what you have installed now. [Check out the linked video which shows how to press the "graduation cap" icon down for about 5-10 secs to initiate]
 
Joined
Dec 22, 2018
Messages
9
Reaction score
2
I do not know what the RC was before but it is 1.9.2 now and the AC is 1.6.40
 

Oso

Joined
May 19, 2015
Messages
4,228
Reaction score
2,960
Location
Western US
I do not know what the RC was before but it is 1.9.2 now and the AC is 1.6.40
You may have noticed in the tips post I linked to earlier (post #2) that AC FW 1.8 and RC FW 1.6 were released together with an encryption change. If you have one (or later), you must have the other (or later) or you will have issues. DJI also noted this in the release notes, but even so we have seen several people here who were not aware and inadvertently created an encryption mismatch. If you currently have RC v1.9.2 and AC 1.6.4, then you have also created such a mismatch.

If it were mine, I would try to either downgrade the RC FW using the graduation cap method I linked to earlier (post #2), or update the AC to at least v1.8.8. Then of course relink the two.
 
Last edited:
  • Like
Reactions: JoBe
Joined
Dec 22, 2018
Messages
9
Reaction score
2
You may have noticed in the tips post I linked to earlier (post #2) that AC FW 1.8 and RC FW 1.6 were released together with an encryption change. If you have one (or later), you must have the other (or later) or you will have issues. DJI also noted this in the release notes, but even so we have seen several people here who were not aware and inadvertently created an encryption mismatch. If you currently have RC v1.9.2 and AC 1.6.4, then you have also created such a mismatch.

If it were mine, I would try to either downgrade the RC FW using the graduation cap method I linked to earlier (post #2), or update the AC to at least v1.8.8. Then of course relink the two.
Thank you for your help. I did down grade to 1.6 but that did not work. I will try to downgrade the RC to 1.8 and see what happens. Thanks again.
 

Oso

Joined
May 19, 2015
Messages
4,228
Reaction score
2,960
Location
Western US
I do not know what the RC was before but it is 1.9.2 now and the AC is 1.6.40
As noted earlier, AC FW 1.8 and RC FW 1.6 were released together with an encryption change. If you have one (or later), you must have the other (or later) or you will have issues.

What that means for you is that if your AC is 1.6 (old encryption for the AC) as you said, your RC would also need an old encryption FW version. For the RC, that means something lower than 1.6 to get the old encryption.

Thank you for your help. I did down grade to 1.6 but that did not work. I will try to downgrade the RC to 1.8 and see what happens. Thanks again.
It's not clear from your response, but if you downgraded your RC from 1.9 to 1.6 then that would not be expected to work since you went from a new encryption RC version (1.9) to another new encryption RC version (1.6). I'm only assuming you meant you downgraded your RC since you said your AC was already at AC version 1.6.
 
Last edited:
  • Like
Reactions: JoBe
Joined
Nov 1, 2018
Messages
295
Reaction score
133
Age
80
jacreeves - follow Oso's advice, he knows what he's talking about and will get you sorted, he certainly did me, an 80 year old new drone flyer! :cool:
 
  • Like
Reactions: JoBe
Joined
Dec 22, 2018
Messages
9
Reaction score
2
As noted earlier, AC FW 1.8 and RC FW 1.6 were released together with an encryption change. If you have one (or later), you must have the other (or later) or you will have issues.

What that means for you is that if your AC is 1.6 (old encryption for the AC) as you said, your RC would also need an old encryption FW version. For the RC, that means something lower than 1.6 to get the old encryption.



It's not clear from your response, but if you downgraded your RC from 1.9 to 1.6 then that would not be expected to work since you went from a new encryption RC version (1.9) to another new encryption RC version (1.6). I'm only assuming you meant you downgraded your RC since you said your AC was already at AC version 1.6.

Oso, I downgraded the RC to 1.5.8 and everything seems to be working at this point I could not fly it because of the wind but the AC did power on. It still wants me to upgrade the RC but I just bypass it. Thanks again for all your help I will let you know how it flies when I can get out.
 
  • Like
Reactions: JoBe and Oso
Joined
Jan 25, 2016
Messages
112
Reaction score
42
Age
81
Location
Glendale, Arizona
I have three P3P. I have 600. miles of flight. Most of this is on my earliest purchase P3P drone I call KAOS.

Several months ago I decided to do all the upgrades. All three drones have the last and latest DJI firmware. This means the AC, the RC, the Batteries, and the APP. This is what I have:
AC = 1.11.20
RC = 1.9.2
DJI GO App = 3.1.50 Android
Litchi APP = 4.11.0-g

This (I believe) is the last DJI firmware update for the P3P as it is long out of production. This firmware is very stable in all three of my P3P.

I suggest using an "I-thing", Ipad, Iphone, to do the updates and not an Android device. I had lots of trouble trying to do firmware updates using my Samsung Galaxy Tab S2 to do firmware updates. I borrowed and IPAD AIR 2 and the updates went perfect. However I always fly with my Android tablet. Works great for flying. I use Litchi 98% of that 600 miles of flight.

I hope this info helps the discussion.

Joe
KC7GHT
 
Joined
Dec 22, 2018
Messages
9
Reaction score
2
I have three P3P. I have 600. miles of flight. Most of this is on my earliest purchase P3P drone I call KAOS.

Several months ago I decided to do all the upgrades. All three drones have the last and latest DJI firmware. This means the AC, the RC, the Batteries, and the APP. This is what I have:
AC = 1.11.20
RC = 1.9.2
DJI GO App = 3.1.50 Android
Litchi APP = 4.11.0-g

This (I believe) is the last DJI firmware update for the P3P as it is long out of production. This firmware is very stable in all three of my P3P.

I suggest using an "I-thing", Ipad, Iphone, to do the updates and not an Android device. I had lots of trouble trying to do firmware updates using my Samsung Galaxy Tab S2 to do firmware updates. I borrowed and IPAD AIR 2 and the updates went perfect. However I always fly with my Android tablet. Works great for flying. I use Litchi 98% of that 600 miles of flight.

I hope this info helps the discussion.

Joe
KC7GHT
Thank You this should help.
 

New Threads

Forum statistics

Threads
133,523
Messages
1,382,819
Members
97,449
Latest member
camperstu